---
title: GitLab CI/CD Specialist
suppress_header: true
description: "GitLab CI/CD Specialist"
extra_css:
  - services.css
---

.wrapper
  .simple-header
    %h1
      GitLab CI/CD Specialist
    %h2.headline-subtitle
      Validate and showcase your GitLab skills

.services-inner
  .page-container.container
    %ol.breadcrumb
      %li 
      = breadcrumbs(current_page)
    .row
      .col-md-10.col-md-offset-1.tile
        %h2 GitLab CI/CD Specialist

        %h3 Overview
        %p GitLab CI/CD Specialist is a <a href= 'https://about.gitlab.com/handbook/customer-success/professional-services-engineering/gitlab-technical-certifications/'> technical certification</a> offered by  <a href= 'https://about.gitlab.com/handbook/customer-success/professional-services-engineering/'> GitLab Professional Services</a> to help the GitLab community and team members validate their ability to apply GitLab concurrent DevOps processes and best practices in their daily work. To earn certification, candidates must first pass a 1-hour written assessment, followed by a 1-hour hands-on lab assessment graded by GitLab Professional Services engineers.
 
        %h3 Availability
        %p Starting in July 2020 GitLab soft-launched the GitLab CI/CD Specialist certification. The certification assessments are currently available to GitLab Professional Services customers who purchase <a href= 'https://about.gitlab.com/services/education/gitlab-ci/'> the GitLab CI/CD Training</a> course for their teams. Course participants gain access to the certification assessments immediately after completing their course sessions. GitLab is planning to offer an asynchronous option for anyone to prepare for and take the certification assessments, with online availability targeted for the end of calendar year 2020.
 
        %h3 Why GitLab CI/CD Specialist certification?
 
        %h4 For employers
        %p With GitLab CI/CD Specialist certification, team managers now have a way to confirm their team members possess the skills needed to effectively set up and use GitLab concurrent development, including continuous integration, continuous development, and continuous delivery. All team members who achieve the certification will be able to apply CI/CD functionality and best practices to speed up development and release higher quality software.
 
        %h4 For individuals
        %p Individuals who earn GitLab CI/CD Specialist certification can showcase their ability to effectively set up, configure, and apply GitLab's CI/CD functions to more efficiently develop and release software.
 
        %h3 Exam objectives
        %p Individuals who earn GitLab CI/CD Specialist certification are able to perform the following tasks.
        %ul
          %li Explain what GitLab CI/CD is and why teams use it
          %li Identify the key components needed for a CI/CD pipeline
          %li Explain GitLabs’s CI/CD functions
          %li Verify a new feature
          %li Scope and persist variables at various levels
          %li Scaffold out the basics of a test, build, review, and deploy pipeline using feature/topic branching as the review mechanism
          %li Apply the GitLab release and deployment workflow
          %li Use artifacts and dependency caching
          %li Build and deploy images to the GitLab registry
 
        %h3 Next steps
        %p Fill out the form below or contact your GitLab sales representative to discuss scheduling a dedicated live delivery of GitLab CI/CD Training for your team, which includes all of the required certification assessments.
 
.services-form#contactform
  .page-container.container.text-center
    %h2 Interested in GitLab Professional Services? Get in touch.
    %script{src: "//page.gitlab.com/js/forms2/js/forms2.min.js"}
    %form#mktoForm_1476
    :javascript
      MktoForms2.setOptions(
      {
        formXDPath : "/rs/194-VVC-221/images/marketo-xdframe-relative.html"
      });
      MktoForms2.loadForm("//page.gitlab.com", "194-VVC-221", 1476, function(form) {
        form.onSuccess(function(values, followUpUrl) {
 
          form.getFormElem().hide();
          document.getElementById('confirmform').style.visibility = 'visible';
          return false;
        });
      });
    #confirmform{style: "visibility:hidden;"}
      %p Submission received! We'll be in contact shortly.

